Package org.apache.cayenne.dba.sqlserver.sqltree

## Class SQLServerColumnNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.TrimmingColumnNode
    - - org.apache.cayenne.dba.sqlserver.sqltree.SQLServerColumnNode

-     public class SQLServerColumnNode
      extends TrimmingColumnNode

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.TrimmingColumnNode

      `columnNode`

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SQLServerColumnNode​(ColumnNode columnNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `appendClobColumnNode​(QuotingAppendable buffer)` |
    `SQLServerColumnNode` | `copy()` |

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.TrimmingColumnNode

      `append, appendAlias, appendColumnNode, appendRtrim, getColumnSize, isAllowedForTrimming, isInsertOrUpdateSet, isParentOfType, isResultNode`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLServerColumnNode

          public SQLServerColumnNode​(ColumnNode columnNode)

  - ### Method Detail

    - #### appendClobColumnNode

          protected void appendClobColumnNode​(QuotingAppendable buffer)

      Overrides:
        `appendClobColumnNode` in class `TrimmingColumnNode`

    - #### copy

          public SQLServerColumnNode copy()

      Overrides:
        `copy` in class `TrimmingColumnNode`